using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using BMA.EHR.Recurit.Exam.Service.Models.Documents;
using BMA.EHR.Domain.Models.Placement;

namespace BMA.EHR.Recurit.Exam.Service.Models
{
    public class PositionExam : EntityBase
    {
        [Required, Comment("Id การสอบ")]
        public virtual PeriodExam? PeriodExam { get; set; }

        [Comment("Id ตำแหน่ง")]
        public Guid? PositionId { get; set; }

        [Comment("ชื่อตำแหน่ง")]
        public string? PositionName { get; set; }

        [Comment("Id ระดับ")]
        public Guid? PositionLevelId { get; set; }

        [Comment("ชื่อระดับ")]
        public string? PositionLevelName { get; set; }

        [Comment("Id ประเภทแบบฟอร์ม")]
        public string? TypeId { get; set; }

        [Comment("ชื่อประเภทแบบฟอร์ม")]
        public string? TypeName { get; set; }

        [Comment("ปริญญาบัตรขึ้นไป")]
        public bool HighDegree { get; set; }

        [Comment("รหัสประจำตำแหน่งที่สอบ")]
        public string? Code { get; set; }
    }
}
